Web API Reference | MapGuide Open Source

- Overview
- Modules
- Classes

# MgEnvelope Class Reference
[MgEnvelope]

MgEnvelope represents a bounding box defined in terms of a lower left coordinate and an upper right coordinate. More...

Inherits MgSerializable.

List of all members.

## Public Member Functions
bool | Contains (MgEnvelope *envelope)
| Tests whether the given envelope lies completely inside this Envelope (inclusive of the boundary).
bool | Contains (MgCoordinate *coordinate)
| Tests whether the given coordinate lies in or on this envelope.
void | ExpandToInclude (MgEnvelope *envelope)
| Enlarges the boundary of the envelope so that it contains the given envelope.
void | ExpandToInclude (MgCoordinate *coordinate)
| Enlarges the boundary of the envelope so that it contains the given coordinate.
double | GetDepth ()
double | GetHeight ()
MgCoordinate * | GetLowerLeftCoordinate ()
| Returns the lower left coordinate of the envelope.
MgCoordinate * | GetUpperRightCoordinate ()
double | GetWidth ()
bool | Intersects (MgEnvelope *envelope)
| Tests if the region defined by another envelope overlaps (intersects) the region of this envelope.
bool | IsNull ()
void | MakeNull ()
| Makes this envelope a "null" envelope.
| MgEnvelope (MgEnvelope *envelope)
| Constructs and initializes an envelope that is a copy of another.
| MgEnvelope (double xMin, double yMin, double xMax, double yMax)
| Constructs and initializes an envelope for a region defined by two coordinates , given as four doubles.
| MgEnvelope (MgCoordinate *coord1, MgCoordinate *coord2)
| Constructs and initializes an envelope for a region defined by two coordinates.
| MgEnvelope (MgCoordinate *coord)
| Constructs and initializes an envelope for a region defined by one coordinate.
| MgEnvelope ()
| Constructs and initializes an "null" envelope.
MgEnvelope * | Transform (MgTransform *transform)
| Returns a transformed copy of this envelope.

## Detailed Description

MgEnvelope represents a bounding box defined in terms of a lower left coordinate and an upper right coordinate.

Comments or suggestions? Send us feedback.